#ifndef XmlDef_h
#define XmlDef_h

// $Id: XmlDef.h,v 1.5 2012/02/21 12:01:39 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include <QtCore/QString>

/*!
\class   XmlDef
\brief   Some Xml definitions. Single characters are used everywhere to reduce overhead
*/

namespace XML {

    const QString REALM( "realm" );
    const QString JOB_SET( "jobSet" );
    const QString JOB( "job" );
    const QString PARENT( "p" );
    const QString USER( "u" );
    const QString FIELD( "a" );
    const QString FIELD_NAME( "n" );
    const QString ACTIVE( "active" );
};
#endif
